aboutsummaryrefslogtreecommitdiff
path: root/services/docker/blog/install-hugo.bash
diff options
context:
space:
mode:
authorYuqian Yang <crupest@crupest.life>2025-02-22 18:11:35 +0800
committerYuqian Yang <crupest@crupest.life>2025-02-23 01:36:11 +0800
commit1e9b2436eaffa4130f6a69c3a108f6feb9dd4ac8 (patch)
tree585b6124b0100371b4bd8a291c4a59fbb5fbf1fe /services/docker/blog/install-hugo.bash
parenta931457d61b053682d5e89a0cfb411e43e5e21c7 (diff)
downloadcrupest-1e9b2436eaffa4130f6a69c3a108f6feb9dd4ac8.tar.gz
crupest-1e9b2436eaffa4130f6a69c3a108f6feb9dd4ac8.tar.bz2
crupest-1e9b2436eaffa4130f6a69c3a108f6feb9dd4ac8.zip
feat(services): refactor structure.
Diffstat (limited to 'services/docker/blog/install-hugo.bash')
-rwxr-xr-xservices/docker/blog/install-hugo.bash22
1 files changed, 22 insertions, 0 deletions
diff --git a/services/docker/blog/install-hugo.bash b/services/docker/blog/install-hugo.bash
new file mode 100755
index 0000000..a448138
--- /dev/null
+++ b/services/docker/blog/install-hugo.bash
@@ -0,0 +1,22 @@
+#! /usr/bin/env bash
+
+set -e
+
+apt-get update
+apt-get install -y tini locales curl git
+rm -rf /var/lib/apt/lists/*
+localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8
+
+VERSION=$(curl -s https://api.github.com/repos/gohugoio/hugo/releases/latest | grep '"tag_name":' | sed -E 's/.*"v([^"]+)".*/\1/')
+
+echo "The latest version of hugo is $VERSION."
+
+url="https://github.com/gohugoio/hugo/releases/download/v${VERSION}/hugo_extended_${VERSION}_linux-amd64.deb"
+
+echo "Download hugo from $url."
+
+curl -sSfOL "$url"
+dpkg -i "hugo_extended_${VERSION}_linux-amd64.deb"
+rm "hugo_extended_${VERSION}_linux-amd64.deb"
+
+echo "Hugo version: $(hugo version)."